Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.util
Interface MessageFormatter

All Known Implementing Classes:
  XMLMessageFormatter, XSMessageFormatter, XIncludeMessageFormatter

public interface MessageFormatter

This interface provides a generic message formatting mechanism and is useful for producing messages that must be localed and/or formatted with replacement text.

Version:
  $Id: MessageFormatter.java 447241 2006-09-18 05:12:57Z mrglavas $
Author:
  Andy Clark
See Also:
  `XMLErrorReporter`

Method Summary
`java.lang.String` | `formatMessage(java.util.Locale locale, java.lang.String key, java.lang.Object[] arguments)` Formats a message with the specified arguments using the given locale information.

Method Detail

### formatMessage

    public java.lang.String formatMessage(java.util.Locale locale,
                                          java.lang.String key,
                                          java.lang.Object[] arguments)
                                   throws java.util.MissingResourceException

  Formats a message with the specified arguments using the given locale information.
  Parameters:
    `locale` - The locale of the message.
    `key` - The message key.
    `arguments` - The message replacement text arguments. The order of the arguments must match that of the placeholders in the actual message.
  Returns:
    Returns the formatted message.
  Throws:
    `java.util.MissingResourceException` - Thrown if the message with the specified key cannot be found.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.